public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mikle Kolyada" <zlogene@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/lighttpd/
Date: Wed, 30 Jan 2019 09:07:34 +0000 (UTC)	[thread overview]
Message-ID: <1548839248.f01b4779d27c0005e1087c652f08c0a740a86a1d.zlogene@gentoo> (raw)

commit:     f01b4779d27c0005e1087c652f08c0a740a86a1d
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 30 09:06:51 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Wed Jan 30 09:07:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f01b4779

www-servers/lighttpd: Version bump (v1.4.53)

Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 www-servers/lighttpd/Manifest               |   1 +
 www-servers/lighttpd/lighttpd-1.4.53.ebuild | 227 ++++++++++++++++++++++++++++
 2 files changed, 228 insertions(+)

diff --git a/www-servers/lighttpd/Manifest b/www-servers/lighttpd/Manifest
index 53cce0d910a..e8e331119c9 100644
--- a/www-servers/lighttpd/Manifest
+++ b/www-servers/lighttpd/Manifest
@@ -1,2 +1,3 @@
 DIST lighttpd-1.4.51.tar.xz 723268 BLAKE2B 524874a5cc29b3fad23b1d2d623bcaf5b781556d7f11848047bc02fb4793480acfc5b5eb6f60304be9472a8b42c87e8c23baf85352bc9479ea156c4a03990bad SHA512 ee4f150c30322dae50760b99cddd0bd935195ee21e042809fa8d303425d12081c23c00d8ea8fcd3d023b6b414a46b9b953edc4ed25400fe39f10487f0956561f
 DIST lighttpd-1.4.52.tar.xz 728668 BLAKE2B 6ffce05ad8cb83895f8865cfd2ce627c39c881e7717992ce25d1ed899c51fd1769d91d9c43f621b013e536a3a24d4350e5525426be333aa5b21913f480af5d31 SHA512 3c604f441c001641681b958012524c9a2e801314b07d9741d4b5e086e7585d676516e3fe587e0ff69f1f937c11b9a290f2173866d6b90019117b6be299972a72
+DIST lighttpd-1.4.53.tar.xz 732160 BLAKE2B 75848ab259226fc77b232dfb365c6c656e4605055fb5beba1aea60f54f01cb76c3260ca97e59110dc3dd3d1ba7cb3f2fad646f91f37baee69a8cdbaefcf125a4 SHA512 bf5ea1c9f6f664c9ddcdf33ddba5b2bff760960d03c29a2181e73e3aceb45b523bb90003d0e0bc565334751830e6027cd7be2e92d030cde90813511957c9ea76

diff --git a/www-servers/lighttpd/lighttpd-1.4.53.ebuild b/www-servers/lighttpd/lighttpd-1.4.53.ebuild
new file mode 100644
index 00000000000..aab14ef82eb
--- /dev/null
+++ b/www-servers/lighttpd/lighttpd-1.4.53.ebuild
@@ -0,0 +1,227 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic readme.gentoo-r1 systemd user
+
+DESCRIPTION="Lightweight high-performance web server"
+HOMEPAGE="https://www.lighttpd.net https://github.com/lighttpd"
+SRC_URI="https://download.lighttpd.net/lighttpd/releases-1.4.x/${P}.tar.xz"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="bzip2 dbi doc fam gdbm geoip ipv6 kerberos ldap libev libressl lua minimal mmap memcached mysql pcre php postgres rrdtool sasl selinux ssl sqlite test webdav xattr zlib"
+
+REQUIRED_USE="kerberos? ( ssl !libressl ) webdav? ( sqlite )"
+
+BDEPEND="dev-libs/libgamin
+	virtual/pkgconfig"
+
+COMMON_DEPEND="
+	bzip2?    ( app-arch/bzip2 )
+	dbi?	( dev-db/libdbi )
+	fam?    ( virtual/fam )
+	gdbm?   ( sys-libs/gdbm )
+	geoip?	( dev-libs/geoip )
+	ldap?   ( >=net-nds/openldap-2.1.26 )
+	libev?  ( >=dev-libs/libev-4.01 )
+	lua?    ( >=dev-lang/lua-5.1:= )
+	memcached? ( dev-libs/libmemcached )
+	mysql?  ( dev-db/mysql-connector-c:= )
+	pcre?   ( >=dev-libs/libpcre-3.1 )
+	php?      ( dev-lang/php:*[cgi] )
+	postgres? ( dev-db/postgresql:* )
+	rrdtool?  ( net-analyzer/rrdtool )
+	sasl?     ( dev-libs/cyrus-sasl )
+	ssl? (
+		!libressl? ( >=dev-libs/openssl-0.9.7:0=[kerberos(-)?] )
+		libressl? ( dev-libs/libressl:= )
+	)
+	sqlite?	( dev-db/sqlite:3 )
+	webdav? (
+		dev-libs/libxml2
+		sys-fs/e2fsprogs
+	)
+	xattr? ( kernel_linux? ( sys-apps/attr ) )
+	zlib? ( >=sys-libs/zlib-1.1 )"
+
+DEPEND="${COMMON_DEPEND}
+	doc?  ( dev-python/docutils )
+	test? (
+		virtual/perl-Test-Harness
+		dev-libs/fcgi
+	)"
+
+RDEPEND="${COMMON_DEPEND}
+	selinux? ( sec-policy/selinux-apache )
+"
+
+# update certain parts of lighttpd.conf based on conditionals
+update_config() {
+	local config="${D}/etc/lighttpd/lighttpd.conf"
+
+	# enable php/mod_fastcgi settings
+	use php && { sed -i -e 's|#.*\(include.*fastcgi.*$\)|\1|' ${config} || die; }
+
+	# enable stat() caching
+	use fam && { sed -i -e 's|#\(.*stat-cache.*$\)|\1|' ${config} || die; }
+
+	# automatically listen on IPv6 if built with USE=ipv6. Bug #234987
+	use ipv6 && { sed -i -e 's|# server.use-ipv6|server.use-ipv6|' ${config} || die; }
+}
+
+# remove non-essential stuff (for USE=minimal)
+remove_non_essential() {
+	local libdir="${D}/usr/$(get_libdir)/${PN}"
+
+	# text docs
+	use doc || rm -fr "${D}"/usr/share/doc/${PF}/txt
+
+	# non-essential modules
+	rm -f \
+		${libdir}/mod_{compress,evhost,expire,proxy,scgi,secdownload,simple_vhost,status,setenv,trigger*,usertrack}.* || die
+
+	# allow users to keep some based on USE flags
+	use pcre    || rm -f ${libdir}/mod_{ssi,re{direct,write}}.*
+	use webdav  || rm -f ${libdir}/mod_webdav.*
+	use mysql   || rm -f ${libdir}/mod_mysql_vhost.*
+	use lua     || rm -f ${libdir}/mod_{cml,magnet}.*
+	use rrdtool || rm -f ${libdir}/mod_rrdtool.*
+	use zlib    || rm -f ${libdir}/mod_compress.*
+}
+
+pkg_setup() {
+	if ! use pcre ; then
+		ewarn "It is highly recommended that you build ${PN}"
+		ewarn "with perl regular expressions support via USE=pcre."
+		ewarn "Otherwise you lose support for some core options such"
+		ewarn "as conditionals and modules such as mod_re{write,direct}"
+		ewarn "and mod_ssi."
+	fi
+
+	enewgroup lighttpd
+	enewuser lighttpd -1 -1 /var/www/localhost/htdocs lighttpd
+
+	DOC_CONTENTS="IPv6 migration guide:\n
+		http://redmine.lighttpd.net/projects/lighttpd/wiki/IPv6-Config"
+}
+
+src_prepare() {
+	default
+	use memcached && append-ldflags -pthread
+	#dev-python/docutils installs rst2html.py not rst2html
+	sed -i -e 's|\(rst2html\)|\1.py|g' doc/outdated/Makefile.am || \
+		die "sed doc/Makefile.am failed"
+	eautoreconf
+}
+
+src_configure() {
+	econf --libdir=/usr/$(get_libdir)/${PN} \
+		--enable-lfs \
+		$(use_enable ipv6) \
+		$(use_enable mmap) \
+		$(use_with bzip2) \
+		$(use_with dbi) \
+		$(use_with fam) \
+		$(use_with gdbm) \
+		$(use_with geoip ) \
+		$(use_with kerberos krb5) \
+		$(use_with ldap) \
+		$(use_with libev) \
+		$(use_with lua) \
+		$(use_with memcached) \
+		$(use_with mysql) \
+		$(use_with pcre) \
+		$(use_with postgres pgsql) \
+		$(use_with sasl) \
+		$(use_with ssl openssl) \
+		$(use_with sqlite sqlite) \
+		$(use_with webdav webdav-props) \
+		$(use_with webdav webdav-locks) \
+		$(use_with xattr attr) \
+		$(use_with zlib)
+}
+
+src_compile() {
+	emake
+
+	if use doc ; then
+		einfo "Building HTML documentation"
+		cd doc || die
+		emake html
+	fi
+}
+
+src_test() {
+	if [[ ${EUID} -eq 0 ]]; then
+		default_src_test
+	else
+		ewarn "test skipped, please re-run as root if you wish to test ${PN}"
+	fi
+}
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -delete || die
+
+	# init script stuff
+	newinitd "${FILESDIR}"/lighttpd.initd lighttpd
+	newconfd "${FILESDIR}"/lighttpd.confd lighttpd
+	use fam && has_version app-admin/fam && \
+		{ sed -i 's/after famd/need famd/g' "${D}"/etc/init.d/lighttpd || die; }
+
+	# configs
+	insinto /etc/lighttpd
+	doins "${FILESDIR}"/conf/lighttpd.conf
+	doins "${FILESDIR}"/conf/mime-types.conf
+	doins "${FILESDIR}"/conf/mod_cgi.conf
+	doins "${FILESDIR}"/conf/mod_fastcgi.conf
+
+	# update lighttpd.conf directives based on conditionals
+	update_config
+
+	# docs
+	dodoc AUTHORS README NEWS doc/scripts/*.sh
+	newdoc doc/config//lighttpd.conf lighttpd.conf.distrib
+	use ipv6 && readme.gentoo_create_doc
+
+	use doc && dodoc -r doc
+
+	docinto txt
+	dodoc doc/outdated/*.txt
+
+	# logrotate
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/lighttpd.logrotate-r1 lighttpd
+
+	keepdir /var/l{ib,og}/lighttpd /var/www/localhost/htdocs
+	fowners lighttpd:lighttpd /var/l{ib,og}/lighttpd
+	fperms 0750 /var/l{ib,og}/lighttpd
+
+	#spawn-fcgi may optionally be installed via www-servers/spawn-fcgi
+	rm -f "${D}"/usr/bin/spawn-fcgi "${D}"/usr/share/man/man1/spawn-fcgi.* || die
+
+	use minimal && remove_non_essential
+
+	systemd_dounit "${FILESDIR}/${PN}.service"
+	systemd_dotmpfilesd "${FILESDIR}/${PN}.tmpfiles.conf"
+}
+
+pkg_postinst () {
+	use ipv6 && readme.gentoo_print_elog
+
+	if [[ -f ${ROOT}etc/conf.d/spawn-fcgi.conf ]] ; then
+		einfo "spawn-fcgi is now provided by www-servers/spawn-fcgi."
+		einfo "spawn-fcgi's init script configuration is now located"
+		einfo "at /etc/conf.d/spawn-fcgi."
+	fi
+
+	if [[ -f ${ROOT}etc/lighttpd.conf ]] ; then
+		elog "Gentoo has a customized configuration,"
+		elog "which is now located in /etc/lighttpd.  Please migrate your"
+		elog "existing configuration."
+	fi
+}


             reply	other threads:[~2019-01-30  9:07 UTC|newest]

Thread overview: 184+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-30  9:07 Mikle Kolyada [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-25  3:32 [gentoo-commits] repo/gentoo:master commit in: www-servers/lighttpd/ Sam James
2025-03-25  3:31 Sam James
2025-03-25  3:31 Sam James
2025-02-23  5:31 Sam James
2025-02-23  5:31 Sam James
2025-02-23  5:31 Sam James
2025-02-23  5:21 Sam James
2025-02-23  5:16 Sam James
2025-01-10 18:53 Sam James
2025-01-05 20:33 Sam James
2024-12-09  7:33 Arthur Zamarin
2024-08-30  9:05 Arthur Zamarin
2024-08-29  5:11 Joonas Niilola
2024-08-29  5:11 Joonas Niilola
2024-07-05 10:20 Arthur Zamarin
2024-06-30  8:33 Sam James
2024-06-30  8:31 Sam James
2024-06-30  8:31 Sam James
2024-06-30  8:31 Sam James
2024-06-30  8:31 Sam James
2024-06-25  4:45 Sam James
2024-06-25  4:10 Sam James
2024-06-25  4:07 Sam James
2024-06-25  4:07 Sam James
2024-05-06 16:34 Sam James
2024-05-06 16:34 Sam James
2024-05-06 14:06 Sam James
2024-05-06 14:05 Sam James
2024-05-06 14:05 Sam James
2024-03-14  5:54 Sam James
2024-02-21 10:17 Sam James
2024-02-21 10:17 Sam James
2024-02-13  5:43 Viorel Munteanu
2024-02-13  5:43 Viorel Munteanu
2024-01-28 20:00 Arthur Zamarin
2024-01-17  5:27 Sam James
2024-01-17  5:24 Sam James
2024-01-17  4:59 Sam James
2024-01-17  4:59 Sam James
2024-01-13 11:14 Sam James
2023-12-15 12:53 Arthur Zamarin
2023-12-15  7:14 Sam James
2023-12-15  7:06 Sam James
2023-12-15  6:52 Sam James
2023-11-25  4:49 Sam James
2023-10-08  1:19 Sam James
2023-10-08  1:04 Sam James
2023-09-29  7:27 WANG Xuerui
2023-08-24 18:01 Arthur Zamarin
2023-08-19 11:38 Sam James
2023-08-19 11:38 Sam James
2023-08-19  7:23 Sam James
2023-08-19  6:40 Arthur Zamarin
2023-08-15  3:17 Sam James
2023-07-17 14:07 Sam James
2023-06-25  7:22 Sam James
2023-05-31  0:28 Sam James
2023-05-10 18:49 Sam James
2023-03-24 15:23 Arthur Zamarin
2023-03-24 11:09 Arthur Zamarin
2023-03-06  4:24 Sam James
2023-03-06  4:24 Sam James
2023-02-26 19:34 Arthur Zamarin
2023-02-24 16:14 Arthur Zamarin
2023-02-24 16:14 Arthur Zamarin
2023-02-24 16:10 Arthur Zamarin
2023-02-24 16:02 Arthur Zamarin
2023-02-24 16:00 Arthur Zamarin
2023-02-12  4:00 Sam James
2022-10-21 18:03 John Helmert III
2022-10-12  6:48 Agostino Sarubbo
2022-10-11  9:19 Agostino Sarubbo
2022-10-11  9:19 Agostino Sarubbo
2022-10-11  6:46 Agostino Sarubbo
2022-10-11  6:43 Agostino Sarubbo
2022-10-10 23:36 Sam James
2022-09-19  2:25 Sam James
2022-09-19  2:25 Sam James
2022-09-04 17:12 Joonas Niilola
2022-04-12 11:12 Sam James
2022-03-23  0:14 Sam James
2022-03-12 16:26 Arthur Zamarin
2022-03-12 10:51 Arthur Zamarin
2022-03-03  6:34 Yixun Lan
2022-03-02  6:52 Agostino Sarubbo
2022-03-02  6:51 Agostino Sarubbo
2022-03-02  6:50 Agostino Sarubbo
2022-03-02  6:49 Agostino Sarubbo
2022-03-02  3:04 Sam James
2022-01-23 17:57 Sam James
2022-01-23 17:57 Sam James
2021-10-13  6:02 Agostino Sarubbo
2021-10-13  5:54 Agostino Sarubbo
2021-10-11 12:17 Agostino Sarubbo
2021-10-11  6:00 Sam James
2021-10-11  4:20 Sam James
2021-07-30 23:31 Sam James
2021-07-30 23:31 Sam James
2021-07-10  1:11 Sam James
2021-07-03 15:46 Joonas Niilola
2021-05-02 20:26 Mikle Kolyada
2021-04-19 21:26 Sam James
2021-04-18 19:41 Sergei Trofimovich
2021-04-18  2:58 Sam James
2021-04-18  2:58 Sam James
2021-04-18  2:57 Sam James
2021-03-07 11:58 David Seifert
2021-02-09 13:47 Marek Szuba
2021-01-26 14:33 Joonas Niilola
2021-01-24  3:52 Sam James
2021-01-23 22:51 Sam James
2021-01-23 22:42 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2020-12-03 12:54 Marek Szuba
2020-10-14 14:44 Marek Szuba
2020-10-12  9:06 Joonas Niilola
2020-09-07 19:01 Mikle Kolyada
2020-07-11 21:42 Mikle Kolyada
2020-06-18 21:35 Mikle Kolyada
2020-06-18 21:33 Mikle Kolyada
2020-06-07  8:48 Agostino Sarubbo
2020-06-07  8:44 Agostino Sarubbo
2020-06-06 18:09 Agostino Sarubbo
2020-06-06 17:37 Agostino Sarubbo
2020-06-06 17:32 Agostino Sarubbo
2020-06-06 17:29 Agostino Sarubbo
2020-02-09 16:50 Mikle Kolyada
2020-02-09 16:48 Mikle Kolyada
2020-02-09 16:46 Mikle Kolyada
2020-01-01 16:29 Mikle Kolyada
2019-08-11 11:20 David Seifert
2019-08-02 12:19 Mikle Kolyada
2019-08-02 12:04 Mikle Kolyada
2019-08-02 12:04 Mikle Kolyada
2019-02-28 11:57 Mikle Kolyada
2019-01-10 11:09 Mikle Kolyada
2019-01-01  9:28 Mikle Kolyada
2019-01-01  9:28 Mikle Kolyada
2018-11-29 11:13 Mikle Kolyada
2018-11-24 10:54 Mikle Kolyada
2018-11-24 10:53 Mikle Kolyada
2018-11-24 10:50 Mikle Kolyada
2018-08-17  2:05 Mikle Kolyada
2018-05-11 10:35 Mikle Kolyada
2018-05-10 20:20 Mikle Kolyada
2018-05-09 12:35 Mikle Kolyada
2018-05-08 16:12 Mikle Kolyada
2018-05-06 12:01 Mikle Kolyada
2018-05-06 11:39 Mikle Kolyada
2018-05-05  9:36 Mikle Kolyada
2018-04-29 14:04 Mikle Kolyada
2018-04-28 19:42 Mikle Kolyada
2018-04-28 13:23 Mikle Kolyada
2018-04-26  9:01 Mikle Kolyada
2018-04-26  8:54 Mikle Kolyada
2018-04-22 23:47 Mikle Kolyada
2018-04-22 13:12 Mikle Kolyada
2017-12-12 21:46 Daniel Campbell
2017-10-23  3:28 Daniel Campbell
2017-06-26  7:54 Alexis Ballier
2017-05-06  7:24 Markus Meier
2017-04-25  7:21 Jeroen Roovers
2017-04-23 10:27 Agostino Sarubbo
2017-04-22  7:33 Tobias Klausmann
2017-01-20  6:20 Jeroen Roovers
2017-01-18  9:50 Agostino Sarubbo
2017-01-17 12:26 Daniel Campbell
2017-01-15 12:57 Markus Meier
2017-01-02 14:51 Daniel Campbell
2016-11-23  9:20 Tobias Klausmann
2016-11-20 13:08 Agostino Sarubbo
2016-11-20 13:04 Agostino Sarubbo
2016-11-09 13:21 Daniel Campbell
2016-10-19 10:35 Daniel Campbell
2016-09-12  9:57 Daniel Campbell
2016-08-07  6:52 Pacho Ramos
2016-08-04 21:40 Daniel Campbell
2016-02-18  9:38 Patrick Lauer
2016-01-11 15:21 Brian Evans
2015-10-05 14:34 Julian Ospald
2015-09-02 17:19 Markos Chandras
2015-09-02 17:19 Markos Chandras

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1548839248.f01b4779d27c0005e1087c652f08c0a740a86a1d.zlogene@gentoo \
    --to=zlogene@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox